-------------------------------------------------
--            Type Init Function
-------------------------------------------------

function p.type_init(id)
    game_ment_type_init.monster(id)
    ia_ment_set_builtin_var_f(id, "__respawn_length", 60*60)
    -- ia_ment_set_builtin_var_f(id, "__radius", 2.0) --THE ORIGINAL!!! WORKS!!!
    -- ia_ment_set_builtin_var_f(id, "__radius", 2.5) --WORKS!!!
    -- ia_ment_set_builtin_var_f(id, "__radius", 2.55) --WORKS!!!
    -- ia_ment_set_builtin_var_f(id, "__radius", 2.6) --DOES NOT WORK!!!
    -- ia_ment_set_builtin_var_f(id, "__radius", 2.7) --DOES NOT WORK!!!
    -- ia_ment_set_builtin_var_f(id, "__radius", 3.0) --DOES NOT WORK!!!
    ia_ment_set_builtin_var_f(id, "__radius", 4.0) --DOES NOT WORK!!!  TEST THIS ONE!!!!!!!!!!!!!!!!!
    ia_ment_set_builtin_var_s(id, "__mesh", "MonsterGoliath")
    ia_ment_new_var_i(id, "health", 200000, 60.0)
    ia_ment_new_static_var_f(id, "dps", 30.0)
    ia_ment_new_static_var_i(id, "xp_mod", 3) --High!
    ia_ment_new_static_var_s(id, "sound_hurt", "hurt_goliath")
    ia_ment_new_static_var_f(id, "sound_hurt_period", 0.95)
    ia_ment_new_static_var_s(id, "sound_death", "die_goliath")
    ia_ment_new_static_var_b(id, "emp_immune", true)
    ia_ment_new_static_var_s(id, "identity_str", "Goliath")
    ia_ment_new_static_var_b(id, "shoots", true)
    ia_ment_new_static_var_f(id, "shoot_period", 1.0)
    ia_ment_new_static_var_b(id, "shoot_period_lvlinv", true)
    ia_ment_new_static_var_s(id, "shoot_proj_type", "ment_monster_spider_proj")
    ia_ment_new_static_var_f(id, "shoot_proj_speed", 1000000.0)
    ia_ment_new_static_var_f(id, "shoot_proj_ttl", 1.0)
    ia_ment_new_static_var_i(id, "shoot_proj_damage", 30)
end

-------------------------------------------------
--              Inst Functions
-------------------------------------------------

function p.on_add_to_live_world(inst_id)
    game_ment_add_to_live.monster(inst_id)
end

function p.on_alarm(inst_id, alarm_name)
    game_ment_alarms.monster(inst_id, alarm_name)
end

function p.on_die(inst_id)
    game_ment_die.main(inst_id)
end
